datacache <- new.env(hash=TRUE, parent=emptyenv())

tilinghuman10r13hsrefseq <- function() showQCData("tilinghuman10r13hsrefseq", datacache)
tilinghuman10r13hsrefseq_dbconn <- function() dbconn(datacache)
tilinghuman10r13hsrefseq_dbfile <- function() dbfile(datacache)
tilinghuman10r13hsrefseq_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
tilinghuman10r13hsrefseq_dbInfo <- function() dbInfo(datacache)

tilinghuman10r13hsrefseqORGANISM <- "Homo sapiens"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "tilinghuman10r13hsrefseq.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("HUMANCHIP_DB", "tilinghuman10r13hsrefseq", "chip tilinghuman10r13hsrefseq", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(tilinghuman10r13hsrefseq_dbconn())
}

